<template>
    <el-dialog
        :visible.sync="formVisible"
        append-to-body
        :title="title"
        :close-on-click-modal="false"
        width="1200px"
    >
        <el-form ref="dataForm" :rules="dataFormRules" :model="dataForm" label-position="right" label-width="150px"  width="1200">
<!--            <el-form-item label="隶属承运人:" prop="belongname" >-->
<!--                <el-row>-->
<!--                    <el-col :span="18">-->
<!--                        <el-input style="display:inline-block;text-align: left" class="driver_input" v-model="dataForm.belongname" readonly/>-->
<!--                    </el-col>-->
<!--                    <el-col :span="4">-->
<!--                        <a @click="selectCarrier" style="color:blue" >选择</a>-->
<!--                    </el-col>-->
<!--                </el-row>-->
<!--            </el-form-item>-->
<!--            <el-form-item label="类别:" prop="type" >-->
<!--                <el-select v-model="dataForm.type">-->
<!--                    <el-option-->
<!--                    v-for="item in typeList"-->
<!--                    :key="item.id"-->
<!--                    :value="item.name"-->
<!--                    :label="item.name"-->
<!--                    >-->
<!--                    </el-option>-->
<!--                </el-select>-->
<!--            </el-form-item>-->
            <div>
                <el-row>
                    <el-col :span="10">
                        <el-form-item type="textarea" label="单位名称:" prop="unitname">
                            <el-input :disabled="islook"  v-model="dataForm.unitname"/>
                        </el-form-item>
                    </el-col>
                    <el-col :span="10">
                        <el-form-item type="textarea" label="许可证编号:" prop="licensenumber">
                            <el-input  :disabled="islook" v-model="dataForm.licensenumber"/>
                        </el-form-item>
                    </el-col>
                </el-row>
                <el-row>
                    <el-col :span="10">
                        <el-form-item type="textarea" label="单位地址" prop="unitaddress">
                            <el-input  :disabled="islook" v-model="dataForm.unitaddress"/>
                        </el-form-item>
                    </el-col>
                    <el-col :span="10">
                        <el-form-item type="textarea" label="邮政编码:" prop="zipcode">
                            <el-input :disabled="islook" v-model="dataForm.zipcode"/>
                        </el-form-item>
                    </el-col>
                </el-row>
                <el-row>
                    <el-col :span="10">
                        <el-form-item type="textarea" label="法定代表人:" prop="representative">
                            <el-input :disabled="islook" v-model="dataForm.representative"/>
                        </el-form-item>
                    </el-col>
                    <el-col :span="10">
                        <el-form-item type="textarea" label="委托代理人:" prop="agent">
                            <el-input  :disabled="islook"v-model="dataForm.agent"/>
                        </el-form-item>
                    </el-col>
                </el-row>
                <el-row>
                    <el-col :span="10">
                        <el-form-item type="textarea" label="法定代表人联系电话:" prop="representativephone">
                            <el-input :disabled="islook" v-model="dataForm.representativephone"/>
                        </el-form-item>
                    </el-col>
                    <el-col :span="10">
                        <el-form-item type="textarea" label="委托代理人联系电话:" prop="agentphone">
                            <el-input :disabled="islook" v-model="dataForm.agentphone"/>
                        </el-form-item>
                    </el-col>
                </el-row>

                <el-row>
                    <el-col :span="10">
                        <el-form-item type="textarea" label="法定代表人电子邮箱:" prop="representativeemail">
                            <el-input :disabled="islook" v-model="dataForm.representativeemail"/>
                        </el-form-item>
                    </el-col>
                    <el-col :span="10">
                        <el-form-item type="textarea" label="委托代理人电子邮箱:" prop="agentemail">
                            <el-input :disabled="islook" v-model="dataForm.agentemail"/>
                        </el-form-item>
                    </el-col>
                </el-row>
                <el-row>
                    <el-col :span="10">
                        <el-form-item type="textarea"  :disable="islook" label="开户银行:" prop="bank">
                            <el-input :disabled="islook" v-model="dataForm.bank"/>
                        </el-form-item>
                    </el-col>
                    <el-col :span="10">
                        <el-form-item type="textarea" label="账户:" prop="account">
                            <el-input :disabled="islook" v-model="dataForm.account"/>
                        </el-form-item>
                    </el-col>
                </el-row>
            </div>
        </el-form>
        <div  align="right" v-show="!islook">
            <el-button @click="formVisible = false">取消</el-button>
            <el-button type="primary" @click="checkAndSubmit(submitUnitDetail)">确认</el-button>
        </div>
<!--        <carrier-select-form ref="carrierSelectForm" @giveCarrier="changeCarrier"></carrier-select-form>-->
    </el-dialog>

</template>

<script>
// import carrierSelectForm from "./components/carrierSelectForm";
import { addContractUnit , modContractUnit} from "../../../../api/contract";

export default {
    name: "unitForm",
    data(){
        return{
            title:'',
            carrierVisible:false,
            formVisible:false,
            islook:false,
            dataForm:{
               id:'',
              type:'',
              unitname:'',
              unitaddress:'',
              representative:'',
              representativephone:'',
              representativeemail:'',
              bank:'',
              licensenumber:'',
              zipcode:'',
              agent:'',
              agentphone:'',
              agentemail:'',
              account:'',
            },
            typeList:[
                {id:1,name:'驾驶员'}
            ],
            dataFormRules:{
              unitname:[
                { required: true, message: '请输入单位名称', trigger: 'blur' },
              ],
              unitaddress:[
                { required: true, message: '请输入单位地址', trigger: 'blur' },
              ],
              representative:[
                { required: true, message: '请输入法定代表人', trigger: 'blur' },
              ],
              representativephone:[
                { required: true, message: '请输入法定代表人联系电话', trigger: 'blur' },
              ],
              representativeemail:[
                { required: true, message: '请输入法定代表人电子邮箱', trigger: 'blur' },
              ],
              bank:[
                { required: true, message: '请输入开户银行', trigger: 'blur' },
              ],
              licensenumber:[
                { required: true, message: '请输入许可证编号', trigger: 'blur' },
              ],
              zipcode:[
                { required: true, message: '请输入邮政编码', trigger: 'blur' },
              ],
              agent:[
                { required: true, message: '请输入委托代理人', trigger: 'blur' },
              ],
              agentphone:[
                { required: true, message: '请输入委托代理人联系电话', trigger: 'blur' },
              ],
              agentemail:[
                { required: true, message: '请输入委托代理人电子邮箱', trigger: 'blur' },
              ],
              account:[
                { required: true, message: '请输入账户', trigger: 'blur' },
              ],
            },
        }
    },
    // components:{
    //     carrierSelectForm
    // },
    methods:{
        showUnitForm(title,value){
            this.title = title
            this.formVisible = true
            if(this.title == '新增'){
              this.islook = false
              this.dataForm ={
                    id:'',
                  type:'',
                  unitname:'',
                  unitaddress:'',
                  representative:'',
                  representativephone:'',
                  representativeemail:'',
                  bank:'',
                  licensenumber:'',
                  zipcode:'',
                  agent:'',
                  agentphone:'',
                  agentemail:'',
                  account:'',
              }
            }else if(this.title == '查看'){
              this.islook = true
              this.dataForm = value
            }else
              {
                this.islook = false
                this.dataForm = value
            }
        },
        async submitUnitDetail(){
          if(this.title === '新增'){
                let res = await addContractUnit(this.dataForm)
                if(res.data.code === "200"){
                    this.$emit('getinfo')
                    this.formVisible = false
                    this.$notify({
                        type:'success',
                        duration:2000,
                        message:'成功',
                        title:'成功',
                    })
                }else {
                    parseError({ error: res.message, vm: this })
                }
            }else{
                let res = await modContractUnit(this.dataForm)
                if(res.data.code === "200") {
                    this.$emit('getinfo')
                    this.formVisible = false
                    this.$notify({
                        type: 'success',
                        duration: 2000,
                        message: '成功',
                        title: '成功',
                    })
                }
            }
        },
        checkAndSubmit(func,){

          let validate = this.$refs['dataForm'].validate((valid) => {
            if (valid) {
              func()
              return true
            }
          })


        },
        selectCarrier(){
            this.$refs.carrierSelectForm.showCarrierSelectForm()
        },
        changeCarrier(value){
            this.dataForm.belongname = value.companyname
            this.dataForm.belongid = value.id
        }
    }
}
</script>

<style scoped>
/deep/ .driver_input{
    width:300px;
}
</style>
